/*******************************************************************/
/*                                                                 */
/*      Download and exection program for SNDS board               */
/*                                                                 */ 
/*-----------------------------------------------------------------*/
/*      Copyright (C) 1997 Samsung Electronics.                    */
/*-----------------------------------------------------------------*/
/*                                                                 */
/*      Modified, programmed by Hbahn, from 1998.1.7               */
/*                                                                 */
/*******************************************************************/

#ifndef _DOWN_H
#define _DOWN_H


#define DownLoadArea	  0x1000000
#define CCITT_POLYNOM	0x1021	// x^16+x12^+x^5+x^0

/****************************/
/* DRAM DOWN LOAD FUNCTIONS */
/****************************/
extern void StartUserPgm(void) ;

extern void DownLoadPgm(void) ;
extern void ReceiveData(char * /* DownArea*/,unsigned /*RcvDataSize*/) ;
extern void PrintReadData(char * /* DownArea */,unsigned /* RcvDataSize */);
extern unsigned CRCErrorCheck(char * /* DownArea */,unsigned /* RcvDataSize */) ;
extern unsigned GetDataSize(unsigned /*uart channel*/) ;
extern unsigned CalcCRC(unsigned /* CheckSum */, int /*RcvData */) ;


/******************************/
/* EEPROM DOWN LOAD FUNCTIONS */
/******************************/
extern void Reset_Boot_Rom(void) ;
extern void FlashDown(void);    // flash down load top module
extern int EEPROM_Type(void);

#endif /*  _DOWN_H */
