/***********************************************************************/
/*                                                                     */
/*   MODULE:  BDTest/gcsu.h                                            */
/*   DATE:    98/06/24                                                 */
/*   PURPOSE: GCSU 1000 Test program header                            */
/*                                                                     */
/*---------------------------------------------------------------------*/
/*      Copyright (C) 1997 Samsung Electronics.                        */
/*                                                                     */
/*      programmed by hbahn                                            */
/***********************************************************************/
#ifndef _GCSU_H
#define _GCSU_H

/* -------------------------------
 *  Function Prototype for GCSU.c
 * ------------------------------- */
extern void GCSUTest(void) ;
/*
 * Function : GCSUTest
 * Description : GCSU1000 T1 Interface Test Program
 */

extern void TxFrame2GCSU(void) ;
/*
 * Function : TxFrame2GCSU
 * Description : Transfer a Frame to GCSU 1000
 */

extern int LoopbackGCSU(void) ;
/*
 * Function : LoopbackGCSU
 * Description : Loopback test
 */

#endif  /* _DS2152_H */ 
