;=========================================================================
; KS32C5000 SNDS Board Download Program Exection  : start.s
; Program Edit : hbahn, from 1998,1,10
;=========================================================================

	GET memory.a

	AREA    TSTART, CODE,READONLY
        CODE16

	EXPORT	StartUserPgm
	EXPORT	StartDownPgm
	EXPORT	GdmaStartUserPgm
	EXPORT	Reset_Boot_Rom

StartUserPgm
        ADR      R0, StartUserPgmArm
        BL       _call_via_r0_dram 

StartDownPgm
        ADR      R1, StartDownPgmArm
        BL       _call_via_r1_dram 

GdmaStartUserPgm
        ADR     R0, GdmaStartUserPgmArm
        BL      _call_via_r0_gdma

Reset_Boot_Rom
        ADR     R0, Reset_Boot_Romarm
        BL      _call_via_r0_rom

;------------------------------ 
;-> start user program
;------------------------------ 
_call_via_r0_dram
        BX      R0
        ALIGN

        CODE32
StartUserPgmArm
	LDR	PC, =DmaCodeArea
;------------------------------ 
;-> start down program
;------------------------------ 
        CODE16
_call_via_r1_dram
        BX      R1
        ALIGN

        CODE32
StartDownPgmArm
	MOV	PC, R0
;------------------------------ 
;------------------------------ 
;-> start gdma user program
;------------------------------ 
        CODE16
_call_via_r0_gdma
        BX      R0
        ALIGN

        CODE32
GdmaStartUserPgmArm
	LDR	PC, =DmaCodeArea
;------------------------------ 
;-> start boot rom program
;------------------------------
        CODE16
_call_via_r0_rom
        BX      R0
        ALIGN

        CODE32
Reset_Boot_Romarm
	LDR	PC, =HandleReset

	END
